Skip to main content
GET
/
v2
/
companies
Get all Companies
curl --request GET \
  --url https://api.affinity.co/v2/companies \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 1,
      "name": "Horizon Technologies",
      "domain": "horizontech.com",
      "domains": [
        "horizontech.com"
      ],
      "isGlobal": false,
      "fields": []
    },
    {
      "id": 2,
      "name": "Crestwood Capital",
      "domain": "crestwoodcap.com",
      "domains": [
        "crestwoodcap.com"
      ],
      "isGlobal": false,
      "fields": []
    }
  ],
  "pagination": {
    "prevUrl": "https://api.affinity.co/v2/companies?cursor=ICAgICAgYmVmb3JlOjo6Nw",
    "nextUrl": "https://api.affinity.co/v2/companies?cursor=ICAgICAgIGFmdGVyOjo6NA"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.affinity.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string

Cursor for the next or previous page

Example:

"ICAgICAgYmVmb3JlOjo6Nw"

limit
integer<int32>
default:100

Number of items to include in the page

Required range: 1 <= x <= 100
Example:

100

ids
integer<int64>[]

Company IDs

Required range: 1 <= x <= 9007199254740991
fieldIds
string[]

Field IDs for which to return field data

Example:
["field-1"]
fieldTypes
enum<string>[]

Field Types for which to return field data

Available options:
enriched,
global,
relationship-intelligence

Response

OK

CompanyPaged model

data
Company · object[]
required

A page of Company results

Maximum array length: 100
pagination
Pagination · object
required